const http = require('http');
const request = require('request');
const cheerio = require('cheerio');
const util = require('util');
const cron = require('node-cron');
const dateFormat = require('dateformat');
const jsonfile = require('jsonfile');
const fs = require('fs');
const LocalStorage = require('node-localstorage').LocalStorage;
// var nano = require('nano')('http://martind2000:1V3D4m526i@localhost:5984');
const logger = require('log4js').getLogger();
const Sugar = require('sugar');

const calHandler = require('./today/calHandler');
const swedishWord = require('./today/swedishword');
const weather = require('./today/weather');
const trains = require('./today/trains');
const history = require('./today/history');
const mdMailer = require('./today/mailer');
const todayFTSE = require('./today/todayftse');
const quotes = require('./today/quotes');

history.updateHistory()
  .then((d) => {
    'use strict';
    logger.debug('History result: ', d);
  })
  .catch((e) => {
    'use strict';
    console.error(e);
  });
